/*
		commcodes.h

 This file contains the communication protocol codes for the SY/MAX
 serial port.

*/



#define DLE 0x10		/* DLE indicates the begining of a command */
#define ODD 0x11		/* ODD and EVEN indicate the message ID    */
#define EVEN 0x12
#define ENQ 0x05		/* ENQ = please resend last response       */
#define ETX 0x03		/* ETX = end of transmission               */
#define NAK 0x15		/* NAK = negative acknowledge		   */
#define READCOMM 0x20		/* READCOMM   = Read command               */
#define READREPLY 0x90		/* READREPLY  = Read reply command         */
#define WRITECOMM 0x1e		/* WRITECOMM  = Write command              */
#define WRITEREPLY 0x92		/* WRITEREPLY = Write reply command        */
#define PAD 0xFE		/* PAD = crap sent at end of transmissions */
#define SOH 0x01		/* SOH = start of header		   */
#define STX 0x02		/* STX = start of transmission		   */
#define SYN 0x16		/* SYN = recieving device busy		   */
#define DATA_COMMS_OK 0x8000	/* Good transmission with no errors	   */


#ifndef TRUE
#define TRUE 1
#endif

#ifndef FALSE
#define FALSE 0
#endif

#define YES 1
#define NO 0
