/*
 * sytest0.3.c -- a program to communicate with a SY/MAX processor.
 *
 */

#include <stdio.h>
#include "sytest0.3.h"

 
int main(int argc, char **argv)
{

	int fd;
	int delay = 0;
	int lastval[ IO_MAP_SIZE ];
	int io_change;
	int check_io;

	int readstatus = 4567;
	int writestatus = 1234;
	int readorwrite = 1;
	int mach1_route[4] = { 3,2,1,0 };
	int private_data[64];
	int priv_check[64] = { 0,0,0,0,0 };

	int writedata[6] = { 4090,4090,65530,3,4,5 };


	if( argc != 2 )
	{
		fprintf( stderr, "Usage: sytest0.3 [device]\n" );
		exit( 1 );
	}

	fd = open_symax_port( argv[1] );
	
	while(1)
	{
		writestatus = 0;
		readstatus = 0;
		symax_comms( fd );

		delay++;
		if( writestatus & DATA_COMMS_OK )
		{
			writedata[0]++;
			writedata[3] = random( writedata[3] );
			writedata[2]++;
			writedata[1] = writedata[3] + writedata[0];
			readorwrite = 1;
		}

		if( readstatus & DATA_COMMS_OK )
		{
			readorwrite = 0;
		}

		if( delay > 10 )
		{
			if( readorwrite )
			{
				tread( &readstatus, mach1_route, 
						private_data, 1, 64 );
			}
			else
			{
				twrite( &writestatus, mach1_route, 
							writedata, 3, 4 );
			}
			delay = 0;	
		}

		for( check_io = 1; check_io < IO_MAP_SIZE; check_io++ )
		{
			if( io_map[ check_io ] != lastval[ check_io ] )
			{
				io_change = TRUE;
				lastval[ check_io ] = io_map[ check_io ];
			}
		}

		for( check_io = 0; check_io < 64; check_io++ )
		{
			if( private_data[ check_io ] != priv_check[ check_io ] )
			{
				io_change = TRUE;
				priv_check[ check_io ] = private_data[check_io];
			}
		}


		if( io_change )
		{
			printf( " %6d %6d %6d %6d %6d:",io_map[100],
							io_map[101],
							io_map[102],
							io_map[103],
							io_map[104] ); 
 

			printf( " %6d %6d %6d %6d %6d\n",private_data[0],
							private_data[1],
							private_data[2],
							private_data[3],
							private_data[4] );


			io_change = FALSE;




		}
	}

	return( 0 );
}


